<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<event category="STEP" id="0">
  <actions>
    <action id="604" library="1">
      <!--action name: Inherited-->
      <kind>NORMAL</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>false</canApplyTo>
      <actionType>FUNCTION</actionType>
      <functionName>action_inherited</functionName>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments/>
    </action>
    <action id="603" library="1">
      <!--action name: Code-->
      <kind>CODE</kind>
      <allowRelative>false</allowRelative>
      <question>false</question>
      <canApplyTo>true</canApplyTo>
      <actionType>CODE</actionType>
      <functionName/>
      <relative>false</relative>
      <not>false</not>
      <appliesTo>.self</appliesTo>
      <arguments>
        <argument kind="STRING">
if (sprite_index == sBombArmed) depth = 49;
if (sticky) depth = 1;

if (armed and instance_exists(oShopkeeper) and !global.optShopkeeperIdiots) {
  if ((global.roomPath[scrGetRoomX(x), scrGetRoomY(y)] == 4 or
      global.roomPath[scrGetRoomX(x), scrGetRoomY(y)] == 5) and
      distance_to_object(oShopkeeper) &lt; 96)
  {
    with (oShopkeeper) scrShopkeeperAnger(2);
  }
}
</argument>
      </arguments>
    </action>
  </actions>
</event>
